package com.zhongshu.card.server.core.dao.org;

import com.github.microservice.components.data.mongo.mongo.dao.MongoDao;
import com.zhongshu.card.server.core.dao.org.extend.RegionDaoExtend;
import com.zhongshu.card.server.core.domain.org.Region;

import java.util.List;

public interface RegionDao extends MongoDao<Region>, RegionDaoExtend {

    List<Region> findByCodeStartingWithAndType(String code, String type);

    List<Region> findByCodeIn(List<String> codes);

    List<Region> findByCodeInOrderByIndexAsc(List<String> codes);

    List<Region> findByParentIdOrderByIndexAsc(String parentId);

    Region findByCode(String code);
}
